#
# Copyright 2005 Sun Microsystems, Inc.  All rights reserved.
# Use is subject to license terms.
#
# CDDL HEADER START
#
# The contents of this file are subject to the terms of the
# Common Development and Distribution License, Version 1.0 only
# (the "License").  You may not use this file except in compliance
# with the License.
#
# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
# or http://www.opensolaris.org/os/licensing.
# See the License for the specific language governing permissions
# and limitations under the License.
#
# When distributing Covered Code, include this CDDL HEADER in each
# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
# If applicable, add the following below this CDDL HEADER, with the
# fields enclosed by brackets "[]" replaced with your own identifying
# information: Portions Copyright [yyyy] [name of copyright owner]
#
# CDDL HEADER END
#

#
# NOTICE:  This file contains default settings for poold(8).  Do not
# edit this file.  Its format and contents are subject to change in
# future releases of Solaris.

# Objective Classes

system.objectives= com.sun.solaris.domain.pools.WeightedLoadObjective
pset.objectives= com.sun.solaris.domain.pools.LocalityObjective, com.sun.solaris.domain.pools.UtilizationObjective

# poold-specific logging properties (replacing default logging.properties)
.level= ALL

# Set defaults for all logfiles (poold and API-generated) which are suitable
# for management by logadm(8).
java.util.logging.FileHandler.limit = 0
java.util.logging.FileHandler.count = 1
java.util.logging.FileHandler.append = true

# Change defaults for API-generated logfiles.
java.util.logging.FileHandler.pattern = /var/log/pool/java%u.log
java.util.logging.FileHandler.formatter = com.sun.solaris.service.logging.SysloglikeFormatter
